org.wildfly.swarm.config.transactions

## Class CommitMarkableResource<T extends CommitMarkableResource<T>>

- java.lang.Object
- - org.wildfly.swarm.config.transactions.CommitMarkableResource<T>

-     public class CommitMarkableResource<T extends CommitMarkableResource<T>>
      extends Object

  a CMR resource (i.e. a local resource that can reliably participate in an XA transaction)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitMarkableResource(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `batchSize()` Batch size for this CMR resource
    `T` | `batchSize(Integer value)` Batch size for this CMR resource
    `String` | `getKey()`
    `Boolean` | `immediateCleanup()` Immediate cleanup associated to this CMR resource
    `T` | `immediateCleanup(Boolean value)` Immediate cleanup associated to this CMR resource
    `String` | `jndiName()` JNDi name of this CMR resource
    `T` | `jndiName(String value)` JNDi name of this CMR resource
    `String` | `name()` table name for storing XIDs
    `T` | `name(String value)` table name for storing XIDs
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitMarkableResource

          public CommitMarkableResource(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### batchSize

          public Integer batchSize()

      Batch size for this CMR resource

    - #### batchSize

          public T batchSize(Integer value)

      Batch size for this CMR resource

    - #### immediateCleanup

          public Boolean immediateCleanup()

      Immediate cleanup associated to this CMR resource

    - #### immediateCleanup

          public T immediateCleanup(Boolean value)

      Immediate cleanup associated to this CMR resource

    - #### jndiName

          public String jndiName()

      JNDi name of this CMR resource

    - #### jndiName

          public T jndiName(String value)

      JNDi name of this CMR resource

    - #### name

          public String name()

      table name for storing XIDs

    - #### name

          public T name(String value)

      table name for storing XIDs

Copyright © 2018 JBoss by Red Hat. All rights reserved.